part of 'responsive_size_utils.dart';

/// [ResponsiveSizeUtils.width]
extension ResponsiveWidthDouble on double {
  double rWidth({
    double? maxWidth,
  }) {
    return ResponsiveSizeUtils.width(
      this,
      maxWidth: maxWidth,
    );
  }
}

/// [ResponsiveSizeUtils.width]
extension ResponsiveWidthInt on int {
  double rWidth({
    double? maxWidth,
  }) {
    return ResponsiveSizeUtils.width(
      this.toDouble(),
      maxWidth: maxWidth,
    );
  }
}

/// [ResponsiveSizeUtils.height]
extension ResponsiveHeightDouble on double {
  double rHeight({
    double? maxHeight,
  }) {
    return ResponsiveSizeUtils.height(
      this,
      maxHeight: maxHeight,
    );
  }
}

/// [ResponsiveSizeUtils.height]
extension ResponsiveHeightInt on int {
  double rHeight({
    double? maxHeight,
  }) {
    return ResponsiveSizeUtils.height(
      this.toDouble(),
      maxHeight: maxHeight,
    );
  }
}

/// [ResponsiveSizeUtils.widthFraction]
extension WidthFraction on double {
  double get rwFraction => ResponsiveSizeUtils.widthFraction(
        fraction: this,
      );
}

/// [ResponsiveSizeUtils.heightFraction]
extension HeightFraction on double {
  double get rhFraction => ResponsiveSizeUtils.heightFraction(
        fraction: this,
      );
}

/// [ResponsiveSizeUtils.responsiveFont]
extension ResponsiveFontSizeDouble on double {
  double rFont({
    double? maxFontSize,
  }) {
    return ResponsiveSizeUtils.responsiveFont(
      fontSize: this,
      maxFontSize: maxFontSize,
    );
  }
}

/// [ResponsiveSizeUtils.responsiveFont]
extension ResponsiveFontSizeInt on int {
  double rFont({
    double? maxFontSize,
  }) {
    return ResponsiveSizeUtils.responsiveFont(
      fontSize: this.toDouble(),
      maxFontSize: maxFontSize,
    );
  }
}
